6.0.0-git
2021-01-19

[#1500] REST driver for RPC subsystem
Summary REST driver for RPC subsystem
Queue Horde Framework Packages
Type Enhancement
State Resolved
Priority 1. Low
Owners
Requester srrafa (at) usc (dot) es
Created 2005-03-07 (5797 days ago)
Due
Updated 2010-12-22 (3681 days ago)
Assigned
Resolved 2005-03-09 (5795 days ago)
Milestone 3.1
Patch No

History
2005-03-09 04:16:06 Chuck Hagenbuch Comment #3
State ⇒ Resolved
Reply to this comment
Committed, thanks. I chose to look for restCall instead of adding the 
extra RPCDriver parameter, since that's going to be there anyway.
2005-03-07 12:18:59 srrafa (at) usc (dot) es Comment #2
New Attachment: rpc.php.patch Download
Reply to this comment
Patch for horde/rpc.php



Detection of the REST request. It looks for GET requests wich provide 
a RPCDriver parameter



Example:



http://localhost/horde/rpc.php?RPCDriver=rest
2005-03-07 12:16:17 srrafa (at) usc (dot) es Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ REST driver for RPC subsystem
Queue ⇒ Horde Framework Packages
New Attachment: rest.php Download
Reply to this comment
Initial aproximation of a REST driver for horde.  It provides the 
basic functionality required in the ticket #917.



Tested under Horde 3.0.3. A patch for horde/rpc.php is required to 
detect the REST request.

Saved Queries